io.netty.handler.codec.redis

## Class ArrayRedisMessage

- java.lang.Object
- - io.netty.util.AbstractReferenceCounted
  - - io.netty.handler.codec.redis.ArrayRedisMessage

All Implemented Interfaces:
  RedisMessage, io.netty.util.ReferenceCounted

    @UnstableApi
    public class ArrayRedisMessage
    extends io.netty.util.AbstractReferenceCounted
    implements RedisMessage

Arrays of RESP.

### Field Summary

Fields
`static ArrayRedisMessage` `EMPTY_INSTANCE` A predefined empty array instance for `ArrayRedisMessage`.
`static ArrayRedisMessage` `NULL_INSTANCE` A predefined null array instance for `ArrayRedisMessage`.

### Constructor Summary

Constructors
Constructor and Description
`ArrayRedisMessage(List<RedisMessage> children)` Creates a `ArrayRedisMessage` for the given `content`.

### Method Summary

All Methods Instance Methods Concrete Methods
`List<RedisMessage>` `children()` Get children of this Arrays.
`protected void` `deallocate()`
`boolean` `isNull()` Returns whether the content of this message is `null`.
`String` `toString()`
`ArrayRedisMessage` `touch(Object hint)`

### Methods inherited from class io.netty.util.AbstractReferenceCounted

`refCnt, release, release, retain, retain, setRefCnt, touch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NULL_INSTANCE

    public static final ArrayRedisMessage NULL_INSTANCE

A predefined null array instance for `ArrayRedisMessage`.

#### EMPTY_INSTANCE

    public static final ArrayRedisMessage EMPTY_INSTANCE

A predefined empty array instance for `ArrayRedisMessage`.

### Constructor Detail

#### ArrayRedisMessage

    public ArrayRedisMessage(List<RedisMessage> children)

Creates a `ArrayRedisMessage` for the given `content`.

Parameters:
  `children` - the children.

### Method Detail

#### children

    public final List<RedisMessage> children()

Get children of this Arrays. It can be null or empty.

Returns:
  list of `RedisMessage`s.

#### isNull

    public boolean isNull()

Returns whether the content of this message is `null`.

Returns:
  indicates whether the content of this message is `null`.

#### deallocate

    protected void deallocate()

Specified by:
  `deallocate` in class `io.netty.util.AbstractReferenceCounted`

#### touch

    public ArrayRedisMessage touch(Object hint)

Specified by:
  `touch` in interface `io.netty.util.ReferenceCounted`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`